aboutsummaryrefslogtreecommitdiff
path: root/debian/boca-submission-tools.postinst
diff options
context:
space:
mode:
authorBruno Cesar Ribas <bcribas@users.noreply.github.com>2023-03-04 11:36:49 +0000
committerGitHub <noreply@github.com>2023-03-04 11:36:49 +0000
commit7715b58718738dbe77e83daa24575ded16a2d4b9 (patch)
treeb91c2f97418efc521508328f593d02263458bfb9 /debian/boca-submission-tools.postinst
parent11520ed4482a4dbf3540daef90d6404d4460b6c1 (diff)
parent818abd88d819c860e95e8e8f34bf4bbcd13966c1 (diff)
downloadboca-7715b58718738dbe77e83daa24575ded16a2d4b9.tar.gz
boca-7715b58718738dbe77e83daa24575ded16a2d4b9.zip
Merge pull request #21 from DaviAntonio/migrate-to-jammy
Migrate to jammy and release version 1.5.16
Diffstat (limited to 'debian/boca-submission-tools.postinst')
-rw-r--r--debian/boca-submission-tools.postinst16
1 files changed, 12 insertions, 4 deletions
diff --git a/debian/boca-submission-tools.postinst b/debian/boca-submission-tools.postinst
index 21cfdd9..6b6e15c 100644
--- a/debian/boca-submission-tools.postinst
+++ b/debian/boca-submission-tools.postinst
@@ -1,14 +1,22 @@
#!/bin/bash
+set -e
#Make sure wrapper is suid and others are not readable
chmod 700 /usr/sbin/boca-fixes
-chmod 700 /usr/sbin/boca-auth-runs
-chmod 700 /usr/sbin/boca-outmanage
-chmod 700 /usr/sbin/boca-submit-log
+chmod 700 /usr/sbin/boca-auth-runs
+chmod 700 /usr/sbin/boca-outmanage
+chmod 700 /usr/sbin/boca-submit-log
chmod 700 /usr/bin/boca-submit-run-*
-chmod 4555 /usr/bin/boca-submit-run-root-wrapper
+chmod 4555 /usr/bin/boca-submit-run-root-wrapper
for i in boca-submit-list boca-submit-oldlist; do
rm -f /usr/bin/$i || true
ln -s /usr/bin/boca-submit-run /usr/bin/$i
done
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0